AUTOMOUNT(8)

NAME
automount - configure mount points for autofs

SYNOPSIS
automount [options] mount-point map-type[,format] map [map-options]

DESCRIPTION
The automount program is used to configure a mount point for autofs, the inlined Linux automounter. automount works by taking a base mount-point and map file, and using these (combined with other options) to automatically mount filesystems within the base mount-point when they are accessed in any way. The filesystems are then autounmounted after a period of inactivity.

OPTIONS

-p, --pid-file
    Write the pid of the daemon to the specified file.

-t, --timeout
    Set the minimum timeout, in seconds, until directories are unmounted. The default is 5 minutes. Setting the timeout to zero disables unmounts completely.

-v, --verbose
    Enables printing of general status and progress messages.

-d, --debug
    Enables printing of general status and progress messages as well as debuging messages.

-g, --ghost
    Request that directories in the automount be shown but not mounted until accesssed. The wildcard map is not ghosted.

-V, --version
    Display the version number, then exit.

ARGUMENTS
automount takes at least three arguments. Mandatory arguments include mount-point, map-type and map. Both mandatory and optional arguments are described below.

mount-point
    Base location for autofs-mounted filesystems to be attached. This is a directory name which must already exist.

map-type
    Type of map used for this invocation of automount. The following are valid map types:

    file
        The map is a regular text file.

    program
        The map is an executable program, which is passed a key on the command line and returns an entry on stdout if successful.

    yp  The map is a NIS (YP) database.

    nisplus
        The map is a NIS+ database.

    hesiod
        The map is a hesiod database whose filsys entries are used for maps.

    ldap
        map names are of the form [//servername/]basedn, where the optional servername is the name of the LDAP server to query, and basedn is the DN to do a subtree search under. Two LDAP schema are supported. The i automountMap and the nisMap (RFC 2307) object classes.

    Entries in the automountMap schema are automount objects in the specified subtree, where the cn attribute is the key (the wildcard key is "/"), and the automountInformation attribute contains the information used by the automounter. Documentation on the schema used by this module is available online at http://docs.sun.com/source/806-4251-10/mapping.htm.

    RFC 2307 schema entries are nisObject objects and use the cn attribute as the key and the nisMapEntry contains information used by the automounter.

format Format of the map data; currently the only formats
    recognized are sun, which is a subset of the Sun automounter map format, and hesiod, for hesiod filesys entries. If the format is left unspecified, it defaults to sun for all map types except hesiod.

map Location of mapfile to use. This is an absolute UNIX pathname in the case for maps of types file or program, and the name of a database in the case for maps of type yp, nisplus, or hesiod.

options
    Any remaining command line arguments without leading dashes (-) are taken as options (-o) to mount. Arguments with leading dashes are considered options for the maps.

    The sun format supports the following options:

    -Dvariable=value
        Replace variable with value in map substitutions.

    -strict
        Treat errors when mounting file systems as fatal. This is important when multiple file systems should be mounted (`multimounts'). If this option is given, no file system is mounted at all if at least one file system can't be mounted.

NOTES
If the automount daemon catches signal USR1, it will unmount all currently unused autofs-mounted filesystems and continue running (forced expire). If it catches signals TERM or USR2 it will unmount all unused autofs-mounted filesystems and exit if all filesystems were unmounted. Busy filesystems will not be unmounted. The daemon also responds to a HUP signal which triggers an update of maps for which ghosting is implemented (currently FILE and NIS maps).

If the autofs directory itself is busy when the daemon is signalled with an exit signal then the daemon will exit without unmounting the autofs filesystem. The filesystem is left in a catatonic (non-functional) state, and can be unmounted when it becomes unused.

SEE ALSO
autofs(5), mount(8).

BUGS
A whole slew of missing desirable features (see TODO file).

The documentation leaves a lot to be desired.

Please report other bugs along with a detailed description to <autofs@linux.kernel.org>. To join this mailing list, send a message with the line "subscribe autofs" to <majordomo@linux.kernel.org>.

AUTHOR
H. Peter Anvin <hpa@transmeta.com>